# Aura サイト用の式

式を使用して、コンポーネントの属性に渡すためのプロパティ値やその他の情報にアクセスできます。

式とは、単一の値に解決できるリテラル値、変数、サブ式、または演算子の任意の組み合わせです。式内でメソッド呼び出しは許可されていません。

式の構文は {!expression} で、expression は式のプレースホルダーです。

これらの式は、認証されたユーザの情報、データカテゴリに関連付けられた画像、またはサイトページ上のレコード情報を表示します。

| 式                                                                           | 表示内容                                                                                                          |
| --------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| **`{!CurrentUser.name}`**                                                   | ユーザ詳細ページに表示される、ユーザの名と姓を結合した名称。                                                                                |
| **`{!CurrentUser.firstName}`**                                              | ユーザ編集ページに表示される、ユーザの名。                                                                                         |
| **`{!CurrentUser.lastName}`**                                               | ユーザ編集ページに表示される、ユーザの姓。                                                                                         |
| **`{!CurrentUser.userName}`**                                               | ユーザのログインを定義する管理用フィールド。                                                                                        |
| **`{!CurrentUser.id}`**                                                     | ユーザの Salesforce ID。                                                                                           |
| **`{!CurrentUser.email}`**                                                  | ユーザのメールアドレス。                                                                                                  |
| **`{!CurrentUser.communityNickname}`**                                      | サイト内でユーザを識別するために使用される名前。                                                                                      |
| **`{!CurrentUser.accountId}`**                                              | ユーザに関連付けられたアカウント ID。この式はパートナーおよびカスタマー ユーザに対して有効なアカウント ID を表示します。他のすべてのユーザに対しては '000000000000000' を表示します。      |
| **`{!CurrentUser.effectiveAccountId}`**                                     | 有効なアカウントに関連付けられたアカウント ID。この式はパートナーおよびカスタマー ユーザに対して有効なアカウント ID を表示します。他のすべてのユーザに対しては '000000000000000' を表示します。 |
| **`{!Global.PathPrefix}/{!DataCategory.Name}.jpg`**                         | 検索コンポーネント内でデータカテゴリに関連付けられた画像。                                                                                 |
| **`{!Global.PathPrefix}/<Name of the Subfolder>/{!DataCategory.Name}.jpg`** | 検索コンポーネント内のサブフォルダにあるデータカテゴリに関連付けられた画像。                                                                        |
| **`{!recordId}`**                                                           | オブジェクトページ上の15桁のレコード ID。                                                                                       |
| **`{!term}`**                                                               | Aura ベースの標準検索ページで HTML エンコードされた検索語を返す式。                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avonnicomponents.com/experience-cloud/experience-cloud-ja/chtoriaru/yi-ban/aura-saitono.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
